c      Use cdummy to avoid the annoying 'Initial padding for common block...'
c      message.

       implicit double precision (a-h,o-z)
       
       include 'params.for'
       include 'globli.for'
       
       character(len=101) otype,obju
       character(len=6  )   cdist,cclass
       character(len=3  )  catype,artype
       character(len=2  )  aitype,bitype,oitype
       character(len=1  )   atype, btype,aptype,bptype,atiu,btyu
       character(len=8  )  cdummy
       
       common cdist,cclass,aitype,bitype,atype,btype,aptype,bptype,
     & atiu,btyu,catype,artype,cdummy
       
       common oitype,otype,obju
       
       integer*4 no(nmaxo)
       
       common  no 
       
       integer*4 nati,nbty 
       
       common nati,nbty
       
       integer*4 nr0,nz0
       
       common nr0,nz0 
       
       integer*4 nra,nza 
       
       common nra,nza
       
       integer*4 nobj 
       
       common nobj 
       
       integer*4 srefl,brefl,orefl,nrefr
       
       common srefl,brefl,orefl,nrefr
       
       integer*4 iretrn
       
       common iretrn
       
       real*8 thetas(nangle)
       
       common thetas 
       
       real*8 rati(nbdry), zati(nbdry),cpati(nbdry),csati(nbdry),
     &      rhoati(nbdry),apati(nbdry),asati(nbdry)
 
       common rati,zati,cpati,csati,rhoati,apati,asati
 
       real*8 rbty(nbdry), zbty(nbdry),cpbty(nbdry),csbty(nbdry),
     &      rhobty(nbdry),apbty(nbdry),asbty(nbdry)
 
       common rbty,zbty,cpbty,csbty,rhobty,apbty,asbty
       
       real*8 ro(nmaxo,npo),zup(nmaxo,npo),zdn(nmaxo,npo)
 
       common ro,zup,zdn
       
       real*8 orho(nmaxo),ocp(nmaxo),ocs(nmaxo),oap(nmaxo),oas(nmaxo)

       common orho,ocp,ocs,oap,oas
       
       real*8 rarray(nhyd),zarray(nhyd)
       
       common rarray,zarray
       
       real*8 c02d(nc02d,nc02d)
       
       common c02d 
       
       real*8 c0(nc0),r0(nc0),z0(nc0)
 
       common c0,r0,z0
       
       real*8 r(np),z(np),tau(np),cray(np),s(np),ic(np)
       
       common r,z,tau,cray,s,ic
       
       real*8 phase(np),caustc(np)
       
       common phase,caustc
          
       real*8 rrefr(np2),zrefr(np2)
       
       common rrefr,zrefr
       
       real*8 p(np),q(np)
       
       common p,q

       real*8 rbox(2)
       
       common rbox       

       real*8 ds,rx,zx,cx,freqx,lambda,dtheta,miss
       
       common ds,rx,zx,cx,freqx,lambda,dtheta,miss
             
       real*8 rmin,rmax

       common rmin,rmax
       
       real*8 apa,asa,apb,asb

       common apa,asa,apb,asb
            
       complex*16 pres2d(nhyd2,nhyd2)

       common pres2d

       complex*16 amp(np),pres1d(nhyd)
       
       common amp,pres1d
       
       complex*16 refla,reflb
       
       common refla,reflb
